1

I have upgraded from 2.5.5 to 2.7. There is a problem that I don’t seem to understand.

When I tried picking any fieldtype for any field, before upgrading, normally JS would show more options at the bottom. This has been the standard behavior ever since I have used EE.

In this case, nothing shows. I looked at my firebug console and I saw this error

TypeError: d.ee_focus is not a function
...ocus(b.find("ul>li>a").eq(0)))},onEscape:function(a){a=c(a.target).parent();EE.n...

I looked at what file caused this and it was

admin.php?S=d3d3f2b7c7030e79c48804e28d9b425b&D=cp&C=javascript&M=combo_load&ui=core,widget,mouse,position,sortable,dialog&plugin=ee_interact.event,ee_notice,ee_txtarea,tablesorter,ee_toggle_all,ee_navigation&file=json2,underscore,cp/global_start&v=1355999354 

I disabled Javascript and sure enough, it showed additional options, although in a very messy way.

How do you solve this Javascript problem?

2
3

If you are having issues with JS interactions in the control panel not working correctly after an EE upgrade, the first thing to try is to reupload your control panel theme folder.

3
  • The problem really was that my themes folder somehow was retained on upgrade. So the JS was calling something that does not work for me anymore. Sep 10 '13 at 2:15
  • Sounds like we're saying the same thing...
    – Anna_MediaGirl
    Sep 10 '13 at 15:45
  • 1
    Yup. I just discovered and applied the solution before you posted. I will mark your response as the answer regardless. Sep 11 '13 at 6:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.